Index: uspace/lib/c/include/async.h
===================================================================
--- uspace/lib/c/include/async.h	(revision a35b458e9db1ca95e679799dc7c1b12c83359ca3)
+++ uspace/lib/c/include/async.h	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
@@ -66,5 +66,5 @@
  *
  */
-typedef void (*async_port_handler_t)(cap_handle_t, ipc_call_t *, void *);
+typedef void (*async_port_handler_t)(cap_call_handle_t, ipc_call_t *, void *);
 
 /** Notification handler */
@@ -119,5 +119,5 @@
 	async_get_call_timeout(data, 0)
 
-extern cap_handle_t async_get_call_timeout(ipc_call_t *, suseconds_t);
+extern cap_call_handle_t async_get_call_timeout(ipc_call_t *, suseconds_t);
 
 /*
@@ -169,6 +169,6 @@
 
 extern errno_t async_irq_subscribe(int, async_notification_handler_t, void *,
-    const irq_code_t *, cap_handle_t *);
-extern errno_t async_irq_unsubscribe(cap_handle_t);
+    const irq_code_t *, cap_irq_handle_t *);
+extern errno_t async_irq_unsubscribe(cap_irq_handle_t);
 
 extern errno_t async_event_subscribe(event_type_t, async_notification_handler_t,
@@ -198,12 +198,12 @@
  */
 
-extern errno_t async_answer_0(cap_handle_t, errno_t);
-extern errno_t async_answer_1(cap_handle_t, errno_t, sysarg_t);
-extern errno_t async_answer_2(cap_handle_t, errno_t, sysarg_t, sysarg_t);
-extern errno_t async_answer_3(cap_handle_t, errno_t, sysarg_t, sysarg_t,
+extern errno_t async_answer_0(cap_call_handle_t, errno_t);
+extern errno_t async_answer_1(cap_call_handle_t, errno_t, sysarg_t);
+extern errno_t async_answer_2(cap_call_handle_t, errno_t, sysarg_t, sysarg_t);
+extern errno_t async_answer_3(cap_call_handle_t, errno_t, sysarg_t, sysarg_t,
     sysarg_t);
-extern errno_t async_answer_4(cap_handle_t, errno_t, sysarg_t, sysarg_t,
+extern errno_t async_answer_4(cap_call_handle_t, errno_t, sysarg_t, sysarg_t,
     sysarg_t, sysarg_t);
-extern errno_t async_answer_5(cap_handle_t, errno_t, sysarg_t, sysarg_t,
+extern errno_t async_answer_5(cap_call_handle_t, errno_t, sysarg_t, sysarg_t,
     sysarg_t, sysarg_t, sysarg_t);
 
@@ -212,8 +212,8 @@
  */
 
-extern errno_t async_forward_fast(cap_handle_t, async_exch_t *, sysarg_t, sysarg_t,
-    sysarg_t, unsigned int);
-extern errno_t async_forward_slow(cap_handle_t, async_exch_t *, sysarg_t, sysarg_t,
-    sysarg_t, sysarg_t, sysarg_t, sysarg_t, unsigned int);
+extern errno_t async_forward_fast(cap_call_handle_t, async_exch_t *, sysarg_t,
+    sysarg_t, sysarg_t, unsigned int);
+extern errno_t async_forward_slow(cap_call_handle_t, async_exch_t *, sysarg_t,
+    sysarg_t, sysarg_t, sysarg_t, sysarg_t, sysarg_t, unsigned int);
 
 /*
@@ -384,10 +384,11 @@
 extern errno_t async_share_in_start(async_exch_t *, size_t, sysarg_t,
     unsigned int *, void **);
-extern bool async_share_in_receive(cap_handle_t *, size_t *);
-extern errno_t async_share_in_finalize(cap_handle_t, void *, unsigned int);
+extern bool async_share_in_receive(cap_call_handle_t *, size_t *);
+extern errno_t async_share_in_finalize(cap_call_handle_t, void *, unsigned int);
 
 extern errno_t async_share_out_start(async_exch_t *, void *, unsigned int);
-extern bool async_share_out_receive(cap_handle_t *, size_t *, unsigned int *);
-extern errno_t async_share_out_finalize(cap_handle_t, void **);
+extern bool async_share_out_receive(cap_call_handle_t *, size_t *,
+    unsigned int *);
+extern errno_t async_share_out_finalize(cap_call_handle_t, void **);
 
 /*
@@ -423,7 +424,9 @@
 extern aid_t async_data_read(async_exch_t *, void *, size_t, ipc_call_t *);
 extern errno_t async_data_read_start(async_exch_t *, void *, size_t);
-extern bool async_data_read_receive(cap_handle_t *, size_t *);
-extern bool async_data_read_receive_call(cap_handle_t *, ipc_call_t *, size_t *);
-extern errno_t async_data_read_finalize(cap_handle_t, const void *, size_t);
+extern bool async_data_read_receive(cap_call_handle_t *, size_t *);
+extern bool async_data_read_receive_call(cap_call_handle_t *, ipc_call_t *,
+    size_t *);
+extern errno_t async_data_read_finalize(cap_call_handle_t, const void *,
+    size_t);
 
 extern errno_t async_data_read_forward_fast(async_exch_t *, sysarg_t, sysarg_t,
@@ -462,7 +465,8 @@
 
 extern errno_t async_data_write_start(async_exch_t *, const void *, size_t);
-extern bool async_data_write_receive(cap_handle_t *, size_t *);
-extern bool async_data_write_receive_call(cap_handle_t *, ipc_call_t *, size_t *);
-extern errno_t async_data_write_finalize(cap_handle_t, void *, size_t);
+extern bool async_data_write_receive(cap_call_handle_t *, size_t *);
+extern bool async_data_write_receive_call(cap_call_handle_t *, ipc_call_t *,
+    size_t *);
+extern errno_t async_data_write_finalize(cap_call_handle_t, void *, size_t);
 
 extern errno_t async_data_write_accept(void **, const bool, const size_t,
@@ -478,7 +482,7 @@
 extern errno_t async_state_change_start(async_exch_t *, sysarg_t, sysarg_t,
     sysarg_t, async_exch_t *);
-extern bool async_state_change_receive(cap_handle_t *, sysarg_t *, sysarg_t *,
-    sysarg_t *);
-extern errno_t async_state_change_finalize(cap_handle_t, async_exch_t *);
+extern bool async_state_change_receive(cap_call_handle_t *, sysarg_t *,
+    sysarg_t *, sysarg_t *);
+extern errno_t async_state_change_finalize(cap_call_handle_t, async_exch_t *);
 
 extern void *async_remote_state_acquire(async_sess_t *);
